<?php

namespace App\Gateway;

use App\Connexion;
use App\Data\Color;
use PDO;

class TeamGateway
{
    private Connexion $con;

    public function __construct(Connexion $con) {
        $this->con = $con;
    }

    public function insert(string $name, string $picture, int $mainColor, int $secondColor) {
        $this->con->exec(
            "INSERT INTO Team VALUES (:teamName , :picture, :mainColor, :secondColor)",
            [
                ":teamName" => [$name, PDO::PARAM_STR],
                ":picture" => [$picture, PDO::PARAM_STR],
                ":mainColor" => [$mainColor, PDO::PARAM_INT],
                ":secondColor" => [$secondColor, PDO::PARAM_INT]
            ]
        );
    }

    public function listByName(string $name): array {
        return $this->con->fetch(
            "SELECT name,picture,mainColor,secondColor FROM Team WHERE name LIKE '%:match%' ",
            [
                ":match" => [$name, PDO::PARAM_STR]
            ]
        );
    }

}